summaryrefslogtreecommitdiff
path: root/app-admin/sxid
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /app-admin/sxid
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'app-admin/sxid')
-rw-r--r--app-admin/sxid/Manifest2
-rw-r--r--app-admin/sxid/metadata.xml5
-rw-r--r--app-admin/sxid/sxid-4.2-r3.ebuild35
-rw-r--r--app-admin/sxid/sxid-4.20130802.ebuild22
4 files changed, 64 insertions, 0 deletions
diff --git a/app-admin/sxid/Manifest b/app-admin/sxid/Manifest
new file mode 100644
index 000000000000..f7c2153791cc
--- /dev/null
+++ b/app-admin/sxid/Manifest
@@ -0,0 +1,2 @@
+DIST sxid-4.2.tar.gz 41827 BLAKE2B c436ffd1b05306508c0ab0e4236cb3968d4456ae0686357a3a2c2a587fdbdaf8e760d5ff8198188c23854b080a91a35fc27a9717ab28f6907deb887a7b455cea SHA512 ed2832a0ffa89a41eba39e116122878b830c46ee7bfb906652606cff61fe16bc28ab6e6b4a802cc2436d9b3a7bdd734a827f007e6f1ce14ca84a9015d3a37a69
+DIST sxid-4.20130802.tar.gz 117411 BLAKE2B 1f3e6ead2bd50c621eb0616afb494139df681e198cb8e5cf98c18f7cb311125e4b61086b0727e2260f223a76e258d2ae34dd87489ae168d1d2913c1520bad591 SHA512 8269808a925ba9a2dcce7400494de5e4c3bd133010faefd0f46b7feafed6fac750b8226f0b3d51edd6ab086caf730ba627a72fba59c8c0aeacf9859019e1cfd5
diff --git a/app-admin/sxid/metadata.xml b/app-admin/sxid/metadata.xml
new file mode 100644
index 000000000000..5f33304011d5
--- /dev/null
+++ b/app-admin/sxid/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/app-admin/sxid/sxid-4.2-r3.ebuild b/app-admin/sxid/sxid-4.2-r3.ebuild
new file mode 100644
index 000000000000..42953f3c0b36
--- /dev/null
+++ b/app-admin/sxid/sxid-4.2-r3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="suid, sgid file and directory checking"
+HOMEPAGE="https://linukz.org/sxid.shtml https://github.com/taem/sxid"
+SRC_URI="https://linukz.org/download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="selinux"
+
+RDEPEND="
+ virtual/mailx
+ selinux? ( sec-policy/selinux-sxid )
+"
+
+DOCS=( NEWS README docs/sxid.{conf,cron}.example )
+
+src_prepare() {
+ default
+ # this is an admin application and really requires root to run correctly
+ # we need to move the binary to the sbin directory
+ sed -i 's/bindir/sbindir/g' source/Makefile.in || die
+ sed -i -e 's/configure.in/configure.ac/g' Makefile || die
+ eautoreconf
+}
+
+pkg_postinst() {
+ elog "You will need to configure sxid.conf for your system using the manpage and example"
+}
diff --git a/app-admin/sxid/sxid-4.20130802.ebuild b/app-admin/sxid/sxid-4.20130802.ebuild
new file mode 100644
index 000000000000..8f02bc234b13
--- /dev/null
+++ b/app-admin/sxid/sxid-4.20130802.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="suid, sgid file and directory checking"
+HOMEPAGE="https://linukz.org/sxid.shtml https://github.com/taem/sxid"
+SRC_URI="https://linukz.org/download/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="selinux"
+
+RDEPEND="
+ virtual/mailx
+ selinux? ( sec-policy/selinux-sxid )
+"
+
+pkg_postinst() {
+ elog "You will need to configure sxid.conf for your system using the manpage and example"
+}